gnome-shell crashed with signal 5 in XIGetClientPointer() from gdk_x11_display_get_default_seat()

Bug #1701289 reported by Anders Pamdal on 2017-06-29
204
This bug affects 22 people
Affects Status Importance Assigned to Milestone
GTK+
Expired
Medium
gtk+3.0 (Ubuntu)
Medium
Unassigned

Bug Description

https://errors.ubuntu.com/problem/fb179bc620e408d216f4b8700f714e6ebb2ebf09

---

cant login to gnome desktop

ProblemType: Crash
DistroRelease: Ubuntu 17.10
Package: gnome-shell 3.24.2-0ubuntu7
ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
Uname: Linux 4.10.0-22-generic x86_64
NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
ApportVersion: 2.20.5-0ubuntu5
Architecture: amd64
CurrentDesktop: GNOME
Date: Thu Jun 29 16:14:29 2017
DisplayManager: lightdm
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/gnome-shell
InstallationDate: Installed on 2017-03-25 (96 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
ProcCmdline: /usr/bin/gnome-shell
ProcEnviron:
 LANGUAGE=sv
 PATH=(custom, user)
 XDG_RUNTIME_DIR=<set>
 LANG=sv_SE.UTF-8
 SHELL=/bin/bash
Signal: 5
SourcePackage: gnome-shell
StacktraceTop:
 () at /usr/lib/x86_64-linux-gnu/libX11.so.6
 () at /usr/lib/x86_64-linux-gnu/libX11.so.6
 _XReply () at /usr/lib/x86_64-linux-gnu/libX11.so.6
 XIGetClientPointer () at /usr/lib/x86_64-linux-gnu/libXi.so.6
 () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
Title: gnome-shell crashed with signal 5
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo

Anders Pamdal (anders-pamdal) wrote :

StacktraceTop:
 XIGetClientPointer (dpy=0x5609dc65fd40, win=win@entry=0, deviceid=deviceid@entry=0x7ffe47626ef4) at ../../src/XGetCPtr.c:59
 gdk_x11_display_get_default_seat (display=0x5609dc66d0a0) at ././gdk/x11/gdkdisplay-x11.c:2889
 get_pointer_position_gdk (mods=0x7ffe47626f64, y=0x7ffe47626f98, x=0x7ffe47626f94) at backends/meta-cursor-tracker.c:374
 meta_cursor_tracker_get_pointer (tracker=<optimized out>, x=x@entry=0x7ffe47626f94, y=y@entry=0x7ffe47626f98, mods=mods@entry=0x7ffe47626f64) at backends/meta-cursor-tracker.c:419
 shell_global_get_pointer (global=global@entry=0x5609dc5c24b0, x=x@entry=0x7ffe47626f94, y=y@entry=0x7ffe47626f98, mods=mods@entry=0x7ffe47626f9c) at shell-global.c:1430

Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
information type: Private → Public
summary: - gnome-shell crashed with signal 5
+ gnome-shell crashed with signal 5 in XIGetClientPointer() from
+ gdk_x11_display_get_default_seat()
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Daniel van Vugt (vanvugt) wrote :
description: updated
tags: added: bugpattern-needed
Anders Kaseorg (andersk) wrote :

This may have been fixed by mutter 3.26.1-2 (bug 1722510). At least I can no longer reproduce it using the recipe in my duplicate bug 1722709.

It's okj after rebooting.

On Wed, Oct 11, 2017 at 2:51 AM, Anders Kaseorg <email address hidden> wrote:

> This may have been fixed by mutter 3.26.1-2 (bug 1722510). At least I
> can no longer reproduce it using the recipe in my duplicate bug 1722709.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1722089).
> https://bugs.launchpad.net/bugs/1701289
>
> Title:
> gnome-shell crashed with signal 5 in XIGetClientPointer() from
> gdk_x11_display_get_default_seat()
>
> Status in gnome-shell package in Ubuntu:
> Confirmed
>
> Bug description:
> https://errors.ubuntu.com/problem/fb179bc620e408d216f4b8700f714e
> 6ebb2ebf09
>
> ---
>
> cant login to gnome desktop
>
> ProblemType: Crash
> DistroRelease: Ubuntu 17.10
> Package: gnome-shell 3.24.2-0ubuntu7
> ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
> Uname: Linux 4.10.0-22-generic x86_64
> NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.5-0ubuntu5
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Thu Jun 29 16:14:29 2017
> DisplayManager: lightdm
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/gnome-shell
> InstallationDate: Installed on 2017-03-25 (96 days ago)
> InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64
> (20161012.2)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> LANGUAGE=sv
> PATH=(custom, user)
> XDG_RUNTIME_DIR=<set>
> LANG=sv_SE.UTF-8
> SHELL=/bin/bash
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XReply () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XIGetClientPointer () at /usr/lib/x86_64-linux-gnu/libXi.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+
> bug/1701289/+subscriptions
>

In theory this should be fixed by https://bugzilla.gnome.org/show_bug.cgi?id=766233 but it seems to still happen.

Not GS related, though.

affects: gnome-shell (Ubuntu) → gtk+3.0 (Ubuntu)
affects: gnome-shell → gtk
artkis (artkis) wrote :
Download full text (4.2 KiB)

now ok. reboot at gnome

On Oct 12, 2017 1:41 AM, "Randy Flask" <email address hidden> wrote:

> It's okj after rebooting.
>
> On Wed, Oct 11, 2017 at 2:51 AM, Anders Kaseorg <email address hidden> wrote:
>
> > This may have been fixed by mutter 3.26.1-2 (bug 1722510). At least I
> > can no longer reproduce it using the recipe in my duplicate bug 1722709.
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1722089).
> > https://bugs.launchpad.net/bugs/1701289
> >
> > Title:
> > gnome-shell crashed with signal 5 in XIGetClientPointer() from
> > gdk_x11_display_get_default_seat()
> >
> > Status in gnome-shell package in Ubuntu:
> > Confirmed
> >
> > Bug description:
> > https://errors.ubuntu.com/problem/fb179bc620e408d216f4b8700f714e
> > 6ebb2ebf09
> >
> > ---
> >
> > cant login to gnome desktop
> >
> > ProblemType: Crash
> > DistroRelease: Ubuntu 17.10
> > Package: gnome-shell 3.24.2-0ubuntu7
> > ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
> > Uname: Linux 4.10.0-22-generic x86_64
> > NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
> > ApportVersion: 2.20.5-0ubuntu5
> > Architecture: amd64
> > CurrentDesktop: GNOME
> > Date: Thu Jun 29 16:14:29 2017
> > DisplayManager: lightdm
> > EcryptfsInUse: Yes
> > ExecutablePath: /usr/bin/gnome-shell
> > InstallationDate: Installed on 2017-03-25 (96 days ago)
> > InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64
> > (20161012.2)
> > ProcCmdline: /usr/bin/gnome-shell
> > ProcEnviron:
> > LANGUAGE=sv
> > PATH=(custom, user)
> > XDG_RUNTIME_DIR=<set>
> > LANG=sv_SE.UTF-8
> > SHELL=/bin/bash
> > Signal: 5
> > SourcePackage: gnome-shell
> > StacktraceTop:
> > () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> > () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> > _XReply () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> > XIGetClientPointer () at /usr/lib/x86_64-linux-gnu/libXi.so.6
> > () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> > Title: gnome-shell crashed with signal 5
> > UpgradeStatus: No upgrade log present (probably fresh install)
> > UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+
> > bug/1701289/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1721810).
> https://bugs.launchpad.net/bugs/1701289
>
> Title:
> gnome-shell crashed with signal 5 in XIGetClientPointer() from
> gdk_x11_display_get_default_seat()
>
> Status in gnome-shell package in Ubuntu:
> Confirmed
>
> Bug description:
> https://errors.ubuntu.com/problem/fb179bc620e408d216f4b8700f714e
> 6ebb2ebf09
>
> ---
>
> cant login to gnome desktop
>
> ProblemType: Crash
> DistroRelease: Ubuntu 17.10
> Package: gnome-shell 3.24.2-0ubuntu7
> ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
> Uname: Linux 4.10.0-22-generic x86_64
> NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.5-0ubuntu5
> Architecture:...

Read more...

Andrea Azzarone (azzar1) wrote :

I think the upstream bug is this one: https://bugzilla.gnome.org/show_bug.cgi?id=788666

Changed in gtk:
importance: Unknown → Medium
status: Unknown → Confirmed
Randy Flask (randyflask) wrote :

All good now!

On Fri, Oct 13, 2017 at 10:34 PM, Bug Watch Updater <
<email address hidden>> wrote:

> ** Changed in: gtk
> Status: Unknown => Confirmed
>
> ** Changed in: gtk
> Importance: Unknown => Medium
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1722089).
> https://bugs.launchpad.net/bugs/1701289
>
> Title:
> gnome-shell crashed with signal 5 in XIGetClientPointer() from
> gdk_x11_display_get_default_seat()
>
> Status in GTK+:
> Confirmed
> Status in gtk+3.0 package in Ubuntu:
> Confirmed
>
> Bug description:
> https://errors.ubuntu.com/problem/fb179bc620e408d216f4b8700f714e
> 6ebb2ebf09
>
> ---
>
> cant login to gnome desktop
>
> ProblemType: Crash
> DistroRelease: Ubuntu 17.10
> Package: gnome-shell 3.24.2-0ubuntu7
> ProcVersionSignature: Ubuntu 4.10.0-22.24-generic 4.10.15
> Uname: Linux 4.10.0-22-generic x86_64
> NonfreeKernelModules: wl nvidia_uvm nvidia_drm nvidia_modeset nvidia
> ApportVersion: 2.20.5-0ubuntu5
> Architecture: amd64
> CurrentDesktop: GNOME
> Date: Thu Jun 29 16:14:29 2017
> DisplayManager: lightdm
> EcryptfsInUse: Yes
> ExecutablePath: /usr/bin/gnome-shell
> InstallationDate: Installed on 2017-03-25 (96 days ago)
> InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64
> (20161012.2)
> ProcCmdline: /usr/bin/gnome-shell
> ProcEnviron:
> LANGUAGE=sv
> PATH=(custom, user)
> XDG_RUNTIME_DIR=<set>
> LANG=sv_SE.UTF-8
> SHELL=/bin/bash
> Signal: 5
> SourcePackage: gnome-shell
> StacktraceTop:
> () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> _XReply () at /usr/lib/x86_64-linux-gnu/libX11.so.6
> XIGetClientPointer () at /usr/lib/x86_64-linux-gnu/libXi.so.6
> () at /usr/lib/x86_64-linux-gnu/libgdk-3.so.0
> Title: gnome-shell crashed with signal 5
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gtk/+bug/1701289/+subscriptions
>

Changed in gtk:
status: Confirmed → Expired
To post a comment you must log in.